Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1337260 - Bad example in the default smb.conf
Summary: Bad example in the default smb.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 16:05 UTC by Stephen Gallagher
Modified: 2016-06-23 14:11 UTC (History)
10 users (show)

Fixed In Version: samba-4.4.4-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-22 23:53:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch to correct example (deleted)
2016-05-18 16:05 UTC, Stephen Gallagher
no flags Details | Diff

Description Stephen Gallagher 2016-05-18 16:05:36 UTC
Created attachment 1158900 [details]
Patch to correct example

Description of problem:

The "staff" example describes a share that is read-only except for users in the staff group, however the actual implementation included "writable = yes", which makes the share world-writable.


Version-Release number of selected component (if applicable):
samba-4.4.3-1.fc24.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Read the default smb.conf
2.
3.

Actual results:
The example produces a world-writable share

Expected results:
The example should match its description.

Additional info:

Patch attached.

Comment 1 Andreas Schneider 2016-06-20 07:41:46 UTC
Well, 'writeable = no' should be set here, but it isn't world writeable until the directory allows write access for others!

Comment 2 Fedora Update System 2016-06-20 11:08:04 UTC
samba-4.4.4-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe7dd926d5

Comment 3 Fedora Update System 2016-06-20 20:53:56 UTC
samba-4.4.4-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe7dd926d5

Comment 4 Fedora Update System 2016-06-22 23:53:53 UTC
samba-4.4.4-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.